### Method

# Phosh NotifyDBusNotifications complete_notify

#### Declaration [src]

    void
    phosh_notify_dbus_notifications_complete_notify (
      PhoshNotifyDBusNotifications* object,
      GDBusMethodInvocation* invocation,
      guint id
    )

#### Description [src]

Helper function used in service implementations to finish handling invocations of the Notify() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation`, you cannot use it afterwards.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The instance takes ownership of the data, and is responsible for freeing it.

`id`

  Type: `guint`

  Parameter to return.